"use client";
import { Input } from "~/components/ui/input";
import { addCountry } from "~/server/actions/addCountry";
import SubmitButton from "../SubmitButton";
import { useRef } from "react";

const initialState = {
  name: "" as string,
};

export default function CreateCountryForm() {
  const ref = useRef<HTMLFormElement>(null);
  const handleSubmit = async (formData: FormData) => {
    ref.current?.reset();
    await addCountry(formData);
  };
  return (
    <form ref={ref} action={handleSubmit}>
      <Input name="name" required />
      <SubmitButton text={"Country"} />
    </form>
  );
}
